public class OrderedIntegers
{
  private int[] value;
  private int   count;
  
  public OrderedIntegers()
  {
    value = new int[10];
    count  = 0;
  }
  
  public void insert( int newValue )
  {
    if (count >= 10) return;
    
    int position = slotFor( newValue );
    makeRoomAt( position );
    value[position] = newValue;
    count++;
  }
  
  public String toString()
  {
    String result = "";
    for (int i=0; i < count; i++)
      result += (" " + value[i]);
    return result;
  }
  
  private int slotFor( int newValue )
  {
    int i;
    for (i=0; i < count; i++)
      if ( value[i] >= newValue )
        break;
    return i;
  }
  
  private void makeRoomAt( int slot )
  {
    for (int i = count; i > slot; i--)
      value[i] = value[i-1];
  }
}